org.eclipse.incquery.runtime.evm.specific.resolver

## Class FixedPriorityConflictResolver

- java.lang.Object
- - org.eclipse.incquery.runtime.evm.specific.resolver.ReconfigurableConflictResolver<FixedPriorityConflictSet>
  - - org.eclipse.incquery.runtime.evm.specific.resolver.FixedPriorityConflictResolver

- All Implemented Interfaces:
    ConflictResolver
  Direct Known Subclasses:
    InvertedDisappearancePriorityConflictResolver

      public class FixedPriorityConflictResolver
      extends ReconfigurableConflictResolver<FixedPriorityConflictSet>

  This conflict resolver uses Integer value priorities assigned to rules. You can set priorities with the `setPriority(RuleSpecification, int)` method. The activations of rules with the lowest priority value will be the next activations.
  Author:
    Abel Hegedus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedPriorityConflictResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setPriority(RuleSpecification<?> specification, int priority)` Sets the priority for the given specification.

    - ### Methods inherited from class org.eclipse.incquery.runtime.evm.specific.resolver.ReconfigurableConflictResolver

      `createConflictSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedPriorityConflictResolver

          public FixedPriorityConflictResolver()

  - ### Method Detail

    - #### setPriority

          public void setPriority(RuleSpecification<?> specification,
                                  int priority)

      Sets the priority for the given specification. The activations of rules with the lowest priority value will be the next activations while rules with higher priority values will only be included in the conflicting activations set. The default priority is 0 for all rules.
      Parameters:
        `specification` -
        `priority` -